Subject: Re: wxwin port to mingw32
From: [email-masked] (Fergus Henderson)

21 Feb 1997 22:43:00 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Keith Garry Boyce)
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Keith Garry Boyce" at Feb 21, 97 01:53:30 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Keith Garry Boyce, you wrote:
> 
> I have began porting wxwin to mingw32 from the initial port I did to
> gnu-win32. I am getting the following errors (What am I missing?).
....
> undefined reference to `_ctype_'
> undefined reference to `__srget'
> undefined reference to `__swbuf'
> undefined reference to `__swbuf'
> undefined reference to `gettimeofday'
> undefined reference to `__assert'
> undefined reference to `_impure_ptr'
> undefined reference to `__errno'
> undefined reference to `__infinity'

My guess with regard to `_ctype_' and `__assert' is that you
are probably using a C library that doesn't match with the C
header files you're using.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".